import { ueuse } from "types/types";
import config from "../../config.js";
import { Reply } from "./main.js";

export default async function Follow(data: ueuse) {
  const followReq = await fetch(`${config.uwuzu.host}/api/users/follow`, {
    method: "POST",
    body: JSON.stringify({
      token: config.uwuzu.apiToken,
      userid: data.account.userid,
    }),
    cache: "no-store",
  });

  const followRes = await followReq.json();

  console.log("フォロー: ", followRes);


  const notice = await Reply(`
  ${data.account.username}さんをフォローしました
  `, data.uniqid);

  console.log("フォロー通知: ", notice);
}
